Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nortel.soa.oi.cct.types
Class AddressPropertyMessageWaiting

    java.lang.Object
      com.nortel.soa.oi.cct.types.AddressPropertyMessageWaiting

    public class AddressPropertyMessageWaiting

extends java.lang.Object

Java class for addressPropertyMessageWaiting complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="addressPropertyMessageWaiting">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="messageWaiting" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="numberMessageWaiting" type="{http://www.w3.org/2001/XMLSchema}int"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Constructor Summary
`AddressPropertyMessageWaiting()`

Method Summary
`int` | `getNumberMessageWaiting()` Gets the value of the numberMessageWaiting property.
`boolean` | `isMessageWaiting()` Gets the value of the messageWaiting property.
`void` | `setMessageWaiting(boolean value)` Sets the value of the messageWaiting property.
`void` | `setNumberMessageWaiting(int value)` Sets the value of the numberMessageWaiting property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddressPropertyMessageWaiting

    public AddressPropertyMessageWaiting()

Method Detail

### isMessageWaiting

    public boolean isMessageWaiting()

  Gets the value of the messageWaiting property.

### setMessageWaiting

    public void setMessageWaiting(boolean value)

  Sets the value of the messageWaiting property.

### getNumberMessageWaiting

    public int getNumberMessageWaiting()

  Gets the value of the numberMessageWaiting property.

### setNumberMessageWaiting

    public void setNumberMessageWaiting(int value)

  Sets the value of the numberMessageWaiting property.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 All Rights Reserved.